## bootscreen 0.3.2

=== Makefile ===
#############################################################################
# Makefile for building: bootscreen
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 12:20:58 2010
# Project:  bootscreen.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile bootscreen.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src \
		sub-plugin

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/valerio/bootcreen/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/valerio/bootcreen/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
plugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) plugin/ || $(MKDIR) plugin/ 
	cd plugin/ && $(QMAKE) /home/valerio/bootcreen/plugin/plugin.pro -unix -o $(MAKEFILE)
sub-plugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) plugin/ || $(MKDIR) plugin/ 
	cd plugin/ && $(QMAKE) /home/valerio/bootcreen/plugin/plugin.pro -unix -o $(MAKEFILE)
sub-plugin: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE)
sub-plugin-make_default: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) 
sub-plugin-make_first: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) first
sub-plugin-all: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) all
sub-plugin-clean: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-plugin-distclean: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-plugin-install_subtargets: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) install
sub-plugin-uninstall_subtargets: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: bootscreen.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile bootscreen.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile bootscreen.pro

qmake_all: sub-src-qmake_all sub-plugin-qmake_all FORCE

make_default: sub-src-make_default sub-plugin-make_default FORCE
make_first: sub-src-make_first sub-plugin-make_first FORCE
all: sub-src-all sub-plugin-all FORCE
clean: sub-src-clean sub-plugin-clean FORCE
distclean: sub-src-distclean sub-plugin-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets sub-plugin-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets sub-plugin-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== plugin/Makefile ===
#############################################################################
# Makefile for building: libbooscreentpanelplugin.so
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 12:20:54 2010
# Project:  plugin.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile plugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = plugin.c 
OBJECTS       = plugin.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		plugin.pro
QMAKE_TARGET  = booscreentpanelplugin
DESTDIR       = 
TARGET        = libbooscreentpanelplugin.so
TARGETD       = libbooscreentpanelplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: plugin.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile plugin.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile plugin.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/booscreentpanelplugin1.0.0 || $(MKDIR) .tmp/booscreentpanelplugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/booscreentpanelplugin1.0.0/ && $(COPY_FILE) --parents plugin.c .tmp/booscreentpanelplugin1.0.0/ && (cd `dirname .tmp/booscreentpanelplugin1.0.0` && $(TAR) booscreentpanelplugin1.0.0.tar booscreentpanelplugin1.0.0 && $(COMPRESS) booscreentpanelplugin1.0.0.tar) && $(MOVE) `dirname .tmp/booscreentpanelplugin1.0.0`/booscreentpanelplugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/booscreentpanelplugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

plugin.o: plugin.c 
	$(CC) -c $(CFLAGS) $(INCPATH) -o plugin.o plugin.c

####### Install

install_plugin: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/ 
	-$(INSTALL_PROGRAM) /home/valerio/bootcreen/plugin/libbooscreentpanelplugin.so $(INSTALL_ROOT)/usr/lib/hildon-control-panel/
	-strip $(INSTALL_ROOT)/usr/lib/hildon-control-panel/libbooscreentpanelplugin.so


uninstall_plugin:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/lib/hildon-control-panel/libbooscreentpanelplugin.so
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/ 


install:  install_plugin  FORCE

uninstall: uninstall_plugin   FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: bootscreen
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 12:11:10 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = bootscreen.cpp \
		main.cpp \
		bootscreenR.cpp moc_bootscreen.cpp
OBJECTS       = bootscreen.o \
		main.o \
		bootscreenR.o \
		moc_bootscreen.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = bootscreen
DESTDIR       = 
TARGET        = bootscreen

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/bootscreen1.0.0 || $(MKDIR) .tmp/bootscreen1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/bootscreen1.0.0/ && $(COPY_FILE) --parents bootscreen.h bootscreenR.h .tmp/bootscreen1.0.0/ && $(COPY_FILE) --parents bootscreen.cpp main.cpp bootscreenR.cpp .tmp/bootscreen1.0.0/ && (cd `dirname .tmp/bootscreen1.0.0` && $(TAR) bootscreen1.0.0.tar bootscreen1.0.0 && $(COMPRESS) bootscreen1.0.0.tar) && $(MOVE) `dirname .tmp/bootscreen1.0.0`/bootscreen1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/bootscreen1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_bootscreen.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_bootscreen.cpp
moc_bootscreen.cpp: bootscreen.h
	/usr/bin/moc $(DEFINES) $(INCPATH) bootscreen.h -o moc_bootscreen.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

bootscreen.o: bootscreen.cpp bootscreen.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o bootscreen.o bootscreen.cpp

main.o: main.cpp bootscreen.h \
		bootscreenR.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

bootscreenR.o: bootscreenR.cpp bootscreenR.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o bootscreenR.o bootscreenR.cpp

moc_bootscreen.o: moc_bootscreen.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_bootscreen.o moc_bootscreen.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/bootscreen/ || $(MKDIR) $(INSTALL_ROOT)/opt/bootscreen/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/bootscreen/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/opt/bootscreen/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/bootscreen/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/bootscreen/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon-control-panel/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon-control-panel/ 
	-$(INSTALL_FILE) /home/valerio/bootcreen/data/bootscreen.desktop $(INSTALL_ROOT)/usr/share/applications/hildon-control-panel/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon-control-panel/bootscreen.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon-control-panel/ 


install_config: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/bootscreen/ || $(MKDIR) $(INSTALL_ROOT)/opt/bootscreen/ 
	-$(INSTALL_FILE) /home/valerio/bootcreen/data/bootscreen.conf $(INSTALL_ROOT)/opt/bootscreen/


uninstall_config:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/bootscreen/bootscreen.conf
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/bootscreen/ 


install_sudoers: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/etc/sudoers.d/ || $(MKDIR) $(INSTALL_ROOT)/etc/sudoers.d/ 
	-$(INSTALL_FILE) /home/valerio/bootcreen/data/bootscreen.sudoers $(INSTALL_ROOT)/etc/sudoers.d/


uninstall_sudoers:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/etc/sudoers.d/bootscreen.sudoers
	-$(DEL_DIR) $(INSTALL_ROOT)/etc/sudoers.d/ 


install_upstart: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/etc/event.d/ || $(MKDIR) $(INSTALL_ROOT)/etc/event.d/ 
	-$(INSTALL_FILE) /home/valerio/bootcreen/data/bootscreen $(INSTALL_ROOT)/etc/event.d/


uninstall_upstart:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/etc/event.d/bootscreen
	-$(DEL_DIR) $(INSTALL_ROOT)/etc/event.d/ 


install_script: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) /home/valerio/bootcreen/script/bootscreen $(INSTALL_ROOT)/usr/bin/
	-strip $(INSTALL_ROOT)/usr/bin/bootscreen


uninstall_script:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/bin/bootscreen
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_icon48: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 
	-$(INSTALL_FILE) /home/valerio/bootcreen/data/icons/48x48/bootscreen.png $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/


uninstall_icon48:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/bootscreen.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 


install_icon64: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 
	-$(INSTALL_FILE) /home/valerio/bootcreen/data/icons/64x64/bootscreen.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/


uninstall_icon64:  FORCE

=== debian/changelog ===
bootscreen (0.3.2) unstable; urgency=low

  * Rebuild against last Qt-maemo

 -- Valerio Valerio <vdv100@gmail.com>  Sun, 18 Jul 2010 11:56:45 +0100

=== debian/control ===
Source: bootscreen
Section: user/system
Priority: optional
Maintainer: Valerio Valerio <vdv100@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libosso-dev, libgtk2.0-dev
Standards-Version: 3.7.2

Package: bootscreen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bootscreen manager
 Manage the system startup media. Add multiple videos or play a random video on boot. 
 .
XB-Maemo-Display-Name: BootScreen
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1391
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
 SU1FB9oDCRYvIQMHV0IAAAkUSURBVGje1VlZSFTtG//NnNExHWfchnEhLQsX
 pEyr4S8jaRZtwlghZSRFEHbTctcXdNFFXfwvuqgIsqsWKYIWDdqk0NLAiAg0
 XKDMsNJpxhnHWZx9zv/iz/t6VufY9/FBD7yc5V3O87zP9nufA/zhpGJZ9i8l
 A91u93+i0aiWZVnEYjEIr9z7eDxOm9RY4TjhnMLCwomKiopJBWyFNAD+q0QA
 m82GQCCAeDyOaDRKmebeC5+XMo67bmpqqlIFzGnIXXt7Ozo7OxGPx2lvRUUF
 Ll68CI1GA7fbDb/fn/Dj3P7F+hYTMhAIAADC4TCuXr0Ku91OeVKr1WhubkZ1
 dTU1ITYYDCItLY3HPKFXr15hy5YtePHiBTwej6LdlhJEicCk7d+/H7t378bN
 mzdx5MgREU+lpaUYGxtb0EAoFJJkHgCCwSAAIBKJwOVy/S3TUCqUXq+nZitn
 zoQ0Cb1cpQIA1NXV4dOnTwiHw4jH42BZlncV3it5BsB7jsfjyM/PR319Pe/b
 i1FCAVJSUgAAer0eFovlXw2ROTk5ygRYtmwZtFotQqGQaEBaWhq9j0ajon6W
 ZWUX/50+tVqNpKQkEL6kiBulNACQnJyMe/fu4fnz57yBq1evhtlsBgAEAgGE
 w2ERA8LrYn1KxgJAVlYWtFotdu3ahaamJvz48WOBYY0GJ06c4CUyVlHAnZuj
 dvt3GFTSZzAYkJ6evrQ8AICGSUIZGRnUkbiOmIiJtLQ0UTLyeDwIBAK8+XLr
 yEVESZMjN9u3b4fBYEBWVhZtK1asgNPppAKQsCeEAMKrSqUCwzC8BkA0X24d
 IozNZoPFYsGqVatoKykpweXLl/km5PV6aewVUk9PDzZv3gyHw8Fz4sXMJyMj
 Q2QCLpcLHo9H0fzs7GxkZmbizp07aG1tFfFkMplILvi/CS2mMrIw14QS2bLU
 ekuZT64kicolV0V5gBBRv5IoIhUXCAJVwrzCuML3gUQktFuuT8RiMajVamRm
 ZsoKEI/HwTAMsrKyoFKpRPOlfEAJaQAgPT0dhYWFmJzkQ/CkpCSsWLGC58RS
 O6jX62E0GqFWq+FyuWQ1AADZ2dkwGAz48uULpqeneYyTRJaWloacnBwYjUZJ
 pouKivgCqNVqfPjwAW/fvuU56tq1a1FcXCxpw4Qpo9GIrKwskaaE5HK5MDU1
 heLiYmg0GpSVlcHv92NkZISXX1iWRV5eHgCgsbERt27dwvT0NF2HYRg0NTWJ
 fcBoNGLPnj2KfIB8jIRb4TgpDXi9XorzCa1fvx4+nw+fP3/mCUAEYhgGhw4d
 UgbmJiYm0Nvby9NAVVUVNm7cKKkBrVYLk8kkdfSkmhEKFolEROMtFgsmJyfh
 8/moANyNmpychMPh4EGJ8vJyJCcnLwgQi8VQU1ODX79+iaD0yMgIysrKRD6Q
 m5srYsZut2NsbAzr1q2T1ODs7CxmZmZ4KFOj0cBsNqO7u5sHsQGgv78fDQ0N
 IhBptVrx+PHjhSjk8/lEzBNGp6ameBqIxWJITk6GTqcT7fyTJ08QDAYlfSAW
 i2F+fh6PHj2C3+8XgUaNRoNoNIpIJEI3amBgQBIB9/X1/V4YJdFCCmj19fUh
 EAggEonIChCJROD1evHmzRteH8MwKCoqQiQS4c2XS7BcH1MvJZERIbhnBOKg
 ExMTlAGuDXM3gPQPDw/zoDkA5OXlIRKJ0BPfkvIAAVtyBwxhHhAe9ex2OyKR
 CHXC3t5e9PT00Gdhlg2Hw3A4HCgoKKBr6HQ6KhT5jhxfhCeqAZ1Oh9bWVtGE
 yspKVFVV8XzA6XSKTm6hUIjuLrcRmyYtHA7Te2FIZRhGZEJ1dXX0SMulHTt2
 iMNoR0cHOjo6FvUBj8eD4eFhlJeX8/rS09N5H+buPBfgCRGrMAiQMEvWMZvN
 mJqawuzsLE/Q5cuXLx3MhUIhDA0NIRAIwOl0YuXKlbQvPz8fGo0G8/PzIuaF
 CJXAZeGB3W63IxqNivJAZmYmxViLJrIbN25InonPnz8PhmEwOjoKr9cLlmUx
 OjqKDRs28HaltrYWT58+lRRA6Adbt24VMTI4OEi1SISNxWJob2/H9+/fefis
 paUFFRUVCwIEg0G0tbVJxtzGxkZYLBY4nU7qqGNjY/D5fLxcUFtbi/HxcQwO
 DkqaERGgpqaGZnfu7o+Pj/NqRwBw9+5dHD9+XMTTgwcPMDo6uuDEoVBIknkA
 NOkQhwyHwwgEAnj58qUoMhw+fBgNDQ20ksdtDMPAarXi4MGDom/cv3+f5+DE
 hH7+/CnJExfcJfQB4ljRaJSGOZZl8fr1a1RVVVG4TYSwWq2or6/H0NAQbDYb
 VCoV8vLyUFlZKcofxHQGBgZ4Ti6VR367MsctahFhiElcu3YNZ86cETmZXq9H
 bW1twjWnpqZw6dIlhMNhSYdXfCJLSUmh1TC5yhxXxaTZ7XZcuHBBdBBSQqOj
 ozh79izm5uZEuYIIIPefQFSZ02q1uH37Nrq6unjSr1mzBnV1dVQDJMxxQ6LN
 ZsO5c+dgtVrR2NhIYa4c+f1+PHz4EF1dXSKNCuH0vn370N3dzQOaarUax44d
 W3pl7uTJk3A6nbLJimVZGAwGWCwWmM1mFBQUICMjAyzLwu12Y2JiAu/evUN/
 fz8Nx3JrHT16FC0tLUuvzCXyAWKrcgI4HA50dnbSPz0Mw/D+k8klNjkNLKkq
 sXfvXqhUKl4rKSnBzMwMTSByuEauBYNBSZyUaK5Wq6XhsqGhgVeZKysrw/Xr
 1/km5PP5ZIupz549w86dO/Hx40e6s1L1TSnUmeheGHHIOfv06dPQ6XS4cuUK
 Tp06JeIpNzeX5II5TaK4Sz5QXV1Nf6z9WzQ/Py/5notk1fjDSbETB4NBeDwe
 +kNOqqLGvcq9kxtDWmpqKrZt20b9QHFlLj8/nx7guSiTFLa+ffsGv99P84Hw
 b6Pcu8X65N4bDAZs2rSJh/u5JDoPqNVqvH//HgMDA7wDc2lpKT28OBwOKgD3
 gwR8/ZMCud1uAEBLSwv8fj++fv1KedJqtThw4IDYhAoKCtDc3CyrKlLf/13m
 liIscV6GYdDW1pbQhI4psTWTybQmIyMjmVuh40KLf/KdyWT6CcCmgK3wnx6E
 8D/+s22yggTVbgAAAABJRU5ErkJggg==

## bootscreen 0.3.3

=== debian/changelog ===
bootscreen (0.3.3) unstable; urgency=low

  * Update control and desktop file

 -- Valerio Valerio <vdv100@gmail.com>  Sun, 18 Jul 2010 15:20:56 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := bootscreen

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	#dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	#dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## bootscreen 0.3.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: bootscreen
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 12:20:58 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 15:09:12 2010
 # Project:  bootscreen.pro
 # Template: subdirs
 # Command: /usr/bin/qmake -unix -o Makefile bootscreen.pro

=== plugin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libbooscreentpanelplugin.so
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 12:20:54 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 15:09:07 2010
 # Project:  plugin.pro
 # Template: lib
 # Command: /usr/bin/qmake -unix -o Makefile plugin.pro
@@ -193,20 +193,9 @@
 
 ####### Install
 
-install_plugin: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/ 
-	-$(INSTALL_PROGRAM) /home/valerio/bootcreen/plugin/libbooscreentpanelplugin.so $(INSTALL_ROOT)/usr/lib/hildon-control-panel/
-	-strip $(INSTALL_ROOT)/usr/lib/hildon-control-panel/libbooscreentpanelplugin.so
-
-
-uninstall_plugin:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/lib/hildon-control-panel/libbooscreentpanelplugin.so
-	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/ 
-
-
-install:  install_plugin  FORCE
-
-uninstall: uninstall_plugin   FORCE
+install:   FORCE
+
+uninstall:   FORCE
 
 FORCE:

=== debian/changelog ===
bootscreen (0.3.4) unstable; urgency=low

  * Upgrade dependencies

 -- Valerio Valerio <vdv100@gmail.com>  Sun, 18 Jul 2010 16:15:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Standards-Version: 3.7.2
 
 Package: bootscreen
-Architecture: any
+Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: bootscreen manager
+Description: bootscreen control panel applet
  Manage the system startup media. Add multiple videos or play a random video on boot. 
  .
 XB-Maemo-Display-Name: BootScreen

=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,7 @@
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	#dh_shlibdeps
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
